Bug 164090 - kdm_config Unrecognized key 'SessionTypes', 'Themes'
kdm_config Unrecognized key 'SessionTypes', 'Themes'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-24 12:43 EDT by D. Stimits
Modified: 2008-02-19 21:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 21:19:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Stimits 2005-07-24 12:43:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050319

Description of problem:
I use KDM/KDE. In /etc/sysconfig/desktop I have:
DESKTOP="KDE"
DISPLAYMANAGER="KDE"

Every time the system starts, /var/log/messages gets this error:
Jul 24 10:28:30 machinename kdm_config[2888]: Unrecognized key 'SessionTypes' in section [X-*-Greeter] at /usr/share/config/kdm/kdmrc:244
Jul 24 10:28:30 machinename kdm_config[2888]: Unrecognized key 'Themes' in section [X-*-Greeter] at /usr/share/config/kdm/kdmrc:336

Apparently kdm does not support keys SessionTypes or Themes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set /etc/sysconfig/desktop as shown above.
2. Scan /var/log/messages for kdm_config.
  

Actual Results:  Error message.

Expected Results:  No error message.

Additional info:

I currently have installed kdebase-3.4.1-0.fc4.1. This has been a problem for all inbetween releases as well. It's difficult to find information on those keys.
Comment 1 Bradd W. Szonye 2005-09-10 19:42:44 EDT
I see the same warnings in my messages log. Additionally, I also see

kdm_config[2936]: Unrecognized key 'Xservers' in section [General] at
/usr/share/config/kdm/kdmrc:3

just before them.
Comment 2 Christian Iseli 2007-01-22 05:10:22 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-02-19 21:19:17 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.